/*
* This file is part of Bielefeld Type Library (BTL).
*
* Copyright(c) Frederic Siepmann
* http://opensource.cit-ec.de/projects/btl
*
* This file may be licensed under the terms of of the
* GNU Lesser General Public License Version 3 (the ``LGPL''),
* or (at your option) any later version.
*
* Software distributed under the License is distributed
* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
* express or implied. See the LGPL for the specific language
* governing rights and limitations.
*
* You should have received a copy of the LGPL along with this
* program. If not, go to http://www.gnu.org/licenses/lgpl.html
* or write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*
* The development of this software was supported by the
* Excellence Cluster EXC 277 Cognitive Interaction Technology.
* The Excellence Cluster EXC 277 is a grant of the Deutsche
* Forschungsgemeinschaft (DFG) in the context of the German
* Excellence Initiative.
*
* Contributors: Leon Ziegler, Johannes Wienke, Matthias Schröder, Norman Köster,
* 				Lukas Twardon, Torben Töniges, Annika Rothert, Marian Pohling,
* 				Denis Schulze, Viktor Richter, Birte Carlmeyer, Maikel Linke
*/

/*
 * XmltioType.cpp
 *
 *  Created on: Nov 4, 2009
 *      Author: jwienke
 */

#include "XmltioType.h"

using namespace airobots;
using namespace xmltio;

XmltioType::XmltioType() {
}

XmltioType::~XmltioType() {
}

std::string XmltioType::getBaseTag() {
	return "empty";
}

std::string XmltioType::getTemplate() {
	return "<" + getBaseTag() + "/>";
}

void XmltioType::fromLocation(const xmltio::Location &loc, XmltioType &type) {
	throw xmltio::XMLTIO_Exception("This is only an example conversion method "
		"and should never be called.");
}

namespace xmltio {

void convert(const airobots::XmltioType &t, Location &l) {
	t.sanitizeLocation(l);
	t.fillInto(l);
}

}
